Subject: Re: bug#11935: XINT etc. should be functions

From: Paul Eggert <[email-masked]>
Date: Sun, 09 Jun 2013 00:13:11 -0700

On 06/08/2013 08:04 PM, Stefan Monnier wrote:
> I think it'll be a fine idea but only when -Og is supported in
> Debian stable.

I'd rather not wait three (or five!) more years to install helpful
changes like this.  I might not live that long.

If it's unacceptable to maintain both a macro and a function
implementation for a few primitives, we can simply have the
latter invoke the former -- that way, there's only one actual
implementation.  Or if you prefer, we can omit the functions
entirely.  We can leave in a FIXME reminding us to
change the macros to functions after the three years or so.

Another option is that you could download and install
GCC 4.8.x on your Debian stable host.  That should
work.  That might be better for Emacs development,
though it'd be a bit more of an effort for you.